jQuery(document).ready(function () {
  jQuery('#fm_loading').hide();
  jQuery('#fm_admin_container').show();

  // Set click action to add new buttons.
  jQuery(".wd-header a").on("click", function () {
    jQuery("input[name='task']").val("add");
    jQuery(this).parents("form").submit();
  });

  // Set no items row width.
  set_no_items();

  jQuery(".wd-datepicker").each(function() {
    jQuery(this).datepicker();
    jQuery(this).datepicker("option", "dateFormat", jQuery(this).data("format"));
  });
  
   // Open/close section container on its header click.
  jQuery(".hndle, .handlediv").each(function () {
    jQuery(this).on("click", function () {
      fm_toggle_postbox(this);
    });
  });
  
});

function fm_toggle_postbox(that) {
  jQuery(that).parent(".postbox").toggleClass("closed");
}

function fm_option_tabs_mail_validation() {
    if (fm_check_email('email') || fm_check_email('fm_email_to') || fm_check_email('mail_bcc_user') || fm_check_email('mail_cc_user') || fm_check_email('reply_to_other') || fm_check_email('mail_cc') || fm_check_email('mail_bcc') || fm_check_email('mailToAdd') || fm_check_email('from_mail') || fm_check_email('reply_to') || fm_check_email('mail_from_user') || fm_check_email('reply_to_user') || fm_check_email('mail_from_other') || fm_check_email('reply_to_other') || fm_check_email('paypal_email')) {
        return false;
    }
    return true;
}
/**
 * Set null value no input.
 */
function fm_clear_input_value(id) {
	jQuery('#'+ id).val('');
}

/**
 * Set no items row width.
 */
function set_no_items() {
  jQuery(".colspanchange").attr("colspan", jQuery(".wd-form table.adminlist>thead>tr>th:visible").length + jQuery(".wd-form table.adminlist>thead>tr>td:visible").length);
}

/**
 * Search.
 *
 * @param that
 */
function search(that) {
  var form = jQuery(that).parents("form");

  form.attr("action", window.location + "&paged=1&s=" + jQuery("input[name='s']").val());

  form.submit();
}

/**
 * Search on input enter.
 *
 * @param e
 * @param that
 * @returns {boolean}
 */
function input_search(e, that) {
  var key_code = (e.keyCode ? e.keyCode : e.which);
  if (key_code == 13) { /*Enter keycode*/
    search(that);
  }
  return true;
}

/**
 * Change page on input enter.
 *
 * @param e
 * @param that
 * @returns {boolean}
 */
function input_pagination(e, that) {
  var key_code = (e.keyCode ? e.keyCode : e.which);
  if (key_code == 13) { /*Enter keycode*/
    var to_page = jQuery(that).val();
    var pages_count = jQuery(that).parents(".pagination-links").data("pages-count");
    var form = jQuery(that).parents("form");
    if (to_page <= pages_count) {
      var search = jQuery("input[name='s']").val() ? ("&s=" + jQuery("input[name='s']").val()) : "";

      form.attr("action", window.location + "&paged=" + to_page + search);
    }
    form.submit();
  }
  return true;
}

function fm_select_value(obj) {
  obj.focus();
  obj.select();
}

function fm_doNothing(event) {
  var keyCode = event.keyCode ? event.keyCode : event.which ? event.which : event.charCode;
  if (keyCode == 13) {
    if (event.preventDefault) {
      event.preventDefault();
    }
    else {
      event.returnValue = false;
    }
  }
}
/**
 * Bulk actions.
 *
 * @param that
 */
function wd_bulk_action(that) {
  var action = jQuery("select[name='bulk_action']").val();

  if (action != -1) {
    if (!jQuery("input[name^='check']").is(':checked')) {
      alert(form_maker.select_at_least_one_item);
      return;
    }
    if (action == 'delete') {
      if (!confirm(form_maker.delete_confirmation)) {
        return false;
      }
    }
    jQuery("input[name='task']").val(action);
    jQuery(that).parents("form").submit();
  }
}

function fm_ajax_save(form_id) {
  var search_value = jQuery("#search_value").val();
  var current_id = jQuery("#current_id").val();
  var page_number = jQuery("#page_number").val();
  var search_or_not = jQuery("#search_or_not").val();
  var ids_string = jQuery("#ids_string").val();
  var image_order_by = jQuery("#image_order_by").val();
  var asc_or_desc = jQuery("#asc_or_desc").val();
  var ajax_task = jQuery("#ajax_task").val();
  var image_current_id = jQuery("#image_current_id").val();
  ids_array = ids_string.split(",");

  var post_data = {};
  post_data["search_value"] = search_value;
  post_data["current_id"] = current_id;
  post_data["page_number"] = page_number;
  post_data["image_order_by"] = image_order_by;
  post_data["asc_or_desc"] = asc_or_desc;
  post_data["ids_string"] = ids_string;
  post_data["task"] = "ajax_search";
  post_data["ajax_task"] = ajax_task;
  post_data["image_current_id"] = image_current_id;

  jQuery.post(
    jQuery('#' + form_id).action,
    post_data,

    function (data) {
      var str = jQuery(data).find('#images_table').html();
      jQuery('#images_table').html(str);
      var str = jQuery(data).find('#tablenav-pages').html();
      jQuery('#tablenav-pages').html(str);
      jQuery("#show_hide_weights").val("Hide order column");
      fm_show_hide_weights();
      fm_run_checkbox();
    }
  ).success(function (jqXHR, textStatus, errorThrown) {
  });
  return false;
}

function fm_run_checkbox() {
  jQuery("tbody").children().children(".check-column").find(":checkbox").click(function (l) {
    if ("undefined" == l.shiftKey) {
      return true
    }
    if (l.shiftKey) {
      if (!i) {
        return true
      }
      d = jQuery(i).closest("form").find(":checkbox");
      f = d.index(i);
      j = d.index(this);
      h = jQuery(this).prop("checked");
      if (0 < f && 0 < j && f != j) {
        d.slice(f, j).prop("checked", function () {
          if (jQuery(this).closest("tr").is(":visible")) {
            return h
          }
          return false
        })
      }
    }
    i = this;
    var k = jQuery(this).closest("tbody").find(":checkbox").filter(":visible").not(":checked");
    jQuery(this).closest("table").children("thead, tfoot").find(":checkbox").prop("checked", function () {
      return (0 == k.length)
    });
    return true
  });
  jQuery("thead, tfoot").find(".check-column :checkbox").click(function (m) {
    var n = jQuery(this).prop("checked"), l = "undefined" == typeof toggleWithKeyboard ? false : toggleWithKeyboard, k = m.shiftKey || l;
    jQuery(this).closest("table").children("tbody").filter(":visible").children().children(".check-column").find(":checkbox").prop("checked", function () {
      if (jQuery(this).is(":hidden")) {
        return false
      }
      if (k) {
        return jQuery(this).prop("checked")
      }
      else {
        if (n) {
          return true
        }
      }
      return false
    });
    jQuery(this).closest("table").children("thead,  tfoot").filter(":visible").children().children(".check-column").find(":checkbox").prop("checked", function () {
      if (k) {
        return false
      }
      else {
        if (n) {
          return true
        }
      }
      return false
    })
  });
}

// Set value by id.
function fm_set_input_value(input_id, input_value) {
  if (document.getElementById(input_id)) {
    document.getElementById(input_id).value = input_value;
  }
}

// Submit form by id.
function fm_form_submit(event, form_id, task, id) {
  if (document.getElementById(form_id)) {
    document.getElementById(form_id).submit();
  }
  if (event.preventDefault) {
    event.preventDefault();
  }
  else {
    event.returnValue = false;
  }
}

// Check if required field is empty.
function fm_check_required(id, name) {
  if (jQuery('#' + id).val() == '') {
    alert(name + '* field is required.');
    jQuery('#' + id).attr('style', 'border-color: #FF0000; border-style: solid; border-width: 1px;');
    jQuery('#' + id).focus();
    jQuery('html, body').animate({
      scrollTop: jQuery('#' + id).offset().top - 200
    }, 500);
    return true;
  }
  else {
    return false;
  }
}

// Show/hide order column and drag and drop column.
function fm_show_hide_weights() {
  if (jQuery("#show_hide_weights").val() == 'Show order column') {
    jQuery(".connectedSortable").css("cursor", "default");
    jQuery("#tbody_arr").find(".handle").hide(0);
    jQuery("#th_order").show(0);
    jQuery("#tbody_arr").find(".fm_order").show(0);
    jQuery("#show_hide_weights").val("Hide order column");
    if (jQuery("#tbody_arr").sortable()) {
      jQuery("#tbody_arr").sortable("disable");
    }
  }
  else {
    jQuery(".connectedSortable").css("cursor", "move");
    var page_number;
    if (jQuery("#page_number") && jQuery("#page_number").val() != '' && jQuery("#page_number").val() != 1) {
      page_number = (jQuery("#page_number").val() - 1) * 20 + 1;
    }
    else {
      page_number = 1;
    }
    jQuery("#tbody_arr").sortable({
      handle: ".connectedSortable",
      connectWith: ".connectedSortable",
      update: function (event, tr) {
        jQuery("#draganddrop").attr("style", "");
        jQuery("#draganddrop").html("<strong><p>Changes made in this table should be saved.</p></strong>");
        var i = page_number;
        jQuery('.fm_order').each(function (e) {
          if (jQuery(this).find('input').val()) {
            jQuery(this).find('input').val(i++);
          }
        });
      }
    });//.disableSelection();
    jQuery("#tbody_arr").sortable("enable");
    jQuery("#tbody_arr").find(".handle").show(0);
    jQuery("#tbody_arr").find(".handle").attr('class', 'handle connectedSortable');
    jQuery("#th_order").hide(0);
    jQuery("#tbody_arr").find(".fm_order").hide(0);
    jQuery("#show_hide_weights").val("Show order column");
  }
}

function fm_popup(id) {
  if (typeof id === 'undefined') {
    var id = '';
  }
  var thickDims, tbWidth, tbHeight;
  thickDims = function () {
    var tbWindow = jQuery('#TB_window'), H = jQuery(window).height(), W = jQuery(window).width(), w, h;
    w = (tbWidth && tbWidth < W - 90) ? tbWidth : W - 40;
    h = (tbHeight && tbHeight < H - 60) ? tbHeight : H - 40;
    if (tbWindow.size()) {
      tbWindow.width(w).height(h);
      jQuery('#TB_iframeContent').width(w).height(h - 27);
      tbWindow.css({'margin-left': '-' + parseInt((w / 2), 10) + 'px'});
      if (typeof document.body.style.maxWidth != 'undefined') {
        tbWindow.css({'top': (H - h) / 2, 'margin-top': '0'});
      }
    }
  };
  thickDims();
  jQuery(window).resize(function () {
    thickDims()
  });
  jQuery('a.thickbox-preview' + id).click(function () {
    tb_click.call(this);
    var alink = jQuery(this).parents('.available-theme').find('.activatelink'), link = '', href = jQuery(this).attr('href'), url, text;
    if (tbWidth = href.match(/&width=[0-9]+/)) {
      tbWidth = parseInt(tbWidth[0].replace(/[^0-9]+/g, ''), 10);
    }
    else {
      tbWidth = jQuery(window).width() - 120;
    }

    if (tbHeight = href.match(/&height=[0-9]+/)) {
      tbHeight = parseInt(tbHeight[0].replace(/[^0-9]+/g, ''), 10);
    }
    else {
      tbHeight = jQuery(window).height() - 120;
    }
    if (alink.length) {
      url = alink.attr('href') || '';
      text = alink.attr('title') || '';
      link = '&nbsp; <a href="' + url + '" target="_top" class="tb-theme-preview-link">' + text + '</a>';
    }
    else {
      text = jQuery(this).attr('title') || '';
      link = '&nbsp; <span class="tb-theme-preview-link">' + text + '</span>';
    }
    jQuery('#TB_title').css({'background-color': '#222', 'color': '#dfdfdf'});
    jQuery('#TB_closeAjaxWindow').css({'float': 'right'});
    jQuery('#TB_ajaxWindowTitle').css({'float': 'left'}).html(link);
    jQuery('#TB_iframeContent').width('100%');
    thickDims();
    return false;
  });
  // Theme details
  jQuery('.theme-detail').click(function () {
    jQuery(this).siblings('.themedetaildiv').toggle();
    return false;
  });
}

function bwg_inputs() {
  jQuery(".fm_int_input").keypress(function (event) {
    var chCode1 = event.which || event.paramlist_keyCode;
    if (chCode1 > 31 && (chCode1 < 48 || chCode1 > 57) && (chCode1 != 46) && (chCode1 != 45)) {
      return false;
    }
    return true;
  });
}

function fm_check_isnum(e) {
  var chCode1 = e.which || e.paramlist_keyCode;
  if (chCode1 > 31
    && (chCode1 < 48 || chCode1 > 58)
    && (chCode1 != 46)
    && (chCode1 != 45)
    && (chCode1 < 65 || chCode1 > 70)
    && (chCode1 < 97 || chCode1 > 102)
  ) {
    return false;
  }
  return true;
}

function fm_change_payment_method(payment_method) {
  switch (payment_method) {
    case 'paypal':
      jQuery('.fm_payment_option').show();
      jQuery('.fm_paypal_option').show();
      jQuery('.fm_payment_option_stripe').hide();
      break;
    case 'stripe':
      jQuery('.fm_payment_option').hide();
      jQuery('.fm_paypal_option').hide();
      jQuery('.fm_payment_option_stripe').show();
      break;
    default:
      jQuery('.fm_payment_option').hide();
      jQuery('.fm_paypal_option').hide();
      jQuery('.fm_payment_option_stripe').hide();
  }
}

function stopRKey(evt) {
  var evt = (evt) ? evt : ((event) ? event : null);
  var node = (evt.target) ? evt.target : ((evt.srcElement) ? evt.srcElement : null);
  if ((evt.keyCode == 13) && (node.type == "text")) {
    return false;
  }
}

document.onkeypress = stopRKey;

function fmRemoveHeaderImage(e, callback) {
  jQuery('#header_image_url').val('');
  jQuery("#header_image").css("background-image", '');
  jQuery("#header_image").addClass("fm-hide");
}
function fmOpenMediaUploader(e, callback) {
  if (typeof callback == "undefined") {
    callback = false;
  }
  e.preventDefault();
  var custom_uploader = wp.media({
    title: 'Upload',
    button: {
      text: 'Add Image'
    },
    multiple: false
  }).on('select', function () {
    var attachment = custom_uploader.state().get('selection').first().toJSON();
    jQuery('#header_image_url').val(attachment.url);
    jQuery("#header_image").css("background-image", 'url("' + attachment.url + '")');
    jQuery("#header_image").css("background-position", 'center');
    jQuery("#header_image").removeClass("fm-hide");
  }).open();
  return false;
}

jQuery(document).ready(function () {
  jQuery('.pp_display_on #pt0').click(function () {
    var isChecked = jQuery(this).prop('checked');
    jQuery('.pp_display_on input[type="checkbox"]').prop('checked', isChecked);
    if (isChecked) {
      jQuery('.fm-posts-show, .fm-pages-show, .fm-cat-show').removeClass('fm-hide').addClass('fm-show');
    }
    else {
      jQuery('.fm-posts-show, .fm-pages-show, .fm-cat-show').removeClass('fm-show').addClass('fm-hide');
    }
  });

  jQuery('.pp_display_on input[type="checkbox"]:not("#pt0")').click(function () {
    var isChecked = jQuery(this).prop('checked');
    var everythingChecked = jQuery('.pp_display_on #pt0').prop('checked');
    if (everythingChecked && !isChecked) {
      jQuery('.pp_display_on #pt0').prop('checked', false);
    }
  });

  jQuery('.pp_display_on #pt4').click(function () {
    fm_toggle_pages(this);
  });

  jQuery('.pp_display_on #pt3').click(function () {
    fm_toggle_posts(this);
  });

  jQuery('body').on('focusin', '.pp_search_posts', function () {
    var this_input = jQuery(this);
    this_input.closest('ul').find('.pp_live_search').removeClass('fm-hide');
    if (!this_input.hasClass('already_triggered')) {
      this_input.addClass('already_triggered');
      pp_live_search(this_input, 500, true);
    }
  });

  jQuery(document).click(function () {
    jQuery('.pp_live_search').addClass('fm-hide');
  });

  jQuery('body').on('click', '.pp_search_posts', function () {
    return false;
  });

  jQuery('body').on('input', '.pp_search_posts', function () {
    pp_live_search(jQuery(this), 500, true);
  });

  jQuery('body').on('click', '.pp_search_results li', function () {
    var this_item = jQuery(this);

    if (!this_item.hasClass('pp_no_res')) {
      var text = this_item.text(),
        id = this_item.data('post_id'),
        main_container = this_item.closest('.fm-pp'),
        display_box = main_container.find('.pp_selected'),
        value_field = main_container.find('.pp_exclude'),
        new_item = '<span data-post_id="' + id + '">' + text + '<span class="pp_selected_remove">x</span></span>';

      if (-1 === display_box.html().indexOf('data-post_id="' + id + '"')) {
        display_box.append(new_item);
        if ('' === value_field.val()) {
          value_field.val(id);
        }
        else {
          value_field.val(function (index, value) {
            return value + "," + id;
          });
        }
      }
    }

    return false;
  });

  jQuery('body').on('click', '.pp_selected span.pp_selected_remove', function () {
    var this_item = jQuery(this).parent(),
      value_field = this_item.closest('.fm-pp').find('.pp_exclude'),
      value_string = value_field.val(),
      id = this_item.data('post_id');
    if (-1 !== value_string.indexOf(id)) {
      var str_toreplace = -1 !== value_string.indexOf(',' + id) ? ',' + id : id + ',',
        str_toreplace = -1 !== value_string.indexOf(',') ? str_toreplace : id,
        new_value = value_string;

      new_value = value_string.replace(str_toreplace, '');
      value_field.val(new_value);
    }

    this_item.remove();
    return false;
  });
});

function fm_toggle_posts(that) {
  var isChecked = jQuery(that).prop('checked');
  if (isChecked) {
    jQuery('.fm-posts-show, .fm-cat-show').removeClass('fm-hide').addClass('fm-show');
  }
  else {
    jQuery('.fm-posts-show, .fm-cat-show').removeClass('fm-show').addClass('fm-hide');
  }
}

function fm_toggle_pages(that) {
  var isChecked = jQuery(that).prop('checked');
  if (isChecked) {
    jQuery('.fm-pages-show').removeClass('fm-hide').addClass('fm-show');
  }
  else {
    jQuery('.fm-pages-show').removeClass('fm-show').addClass('fm-hide');
  }
}

function fm_apply_options(task) {
  fm_set_input_value('task', task);
  document.getElementById('adminForm').submit();
}

function pp_live_search(input, delay, full_content) {
  var this_input = input,
    search_value = this_input.val(),
    post_type = this_input.data('post_type');

  setTimeout(function () {
    if (search_value === this_input.val()) {
      jQuery.ajax({
        type: 'POST',
        url: ajaxurl,
        data: {
          action: 'manage_fm',
          task: 'fm_live_search',
          nonce_fm: nonce_fm,
          pp_live_search: search_value,
          pp_post_type: post_type,
          pp_full_content: full_content
        },
        beforeSend: function (data) {
          this_input.css('width', '95%');
          this_input.parent().find('.fm-loading').css('display', 'inline-block');
        },
        success: function (data) {
          this_input.css('width', '100%');
          this_input.parent().find('.fm-loading').css('display', 'none');
          /* if ( true === full_content ) { */
          this_input.closest('.fm-pp').find('.pp_search_results').replaceWith(data);
          /* } else {
           this_input.closest('.fm-pp').find('.pp_search_results').append(data);
           } */
        },
        error: function (err) {
          console.log(err);
        }
      });
    }
  }, delay);
}

function fm_toggle(elem) {
  jQuery(elem).parent().next().toggleClass('hide');
}

function change_tab(elem) {
  jQuery('.fm-subscriber-header .fm-button').removeClass('active-button');
  jQuery('.fm-subscriber-header .' + elem).addClass('active-button');
  jQuery('.fm-subscriber-content').hide();
  jQuery('.' + elem + '-tab').show();
}

function change_form_type(type) {
  jQuery('#fieldset_id').val(type);
  jQuery('.fm-form-types span').removeClass('active');
  jQuery('.fm-form-types').find('.fm-' + type).addClass('active');
  jQuery('#type_settings_fieldset .wd-group').removeClass('fm-show').addClass('fm-hide');
}

function change_hide_show(className) {
  jQuery('.' + className + '.fm-hide').removeClass('fm-hide').addClass('fm-temporary');
  jQuery('.' + className + '.fm-show').removeClass('fm-show').addClass('fm-hide');
  jQuery('.' + className + '.fm-show-table').removeClass('fm-show-table').addClass('fm-hide');
  jQuery('.' + className + '.fm-temporary').removeClass('fm-temporary').addClass('fm-show');
  if (className != 'fm-embedded') {
    fm_toggle_posts(jQuery('.pp_display_on #pt3'));
    fm_toggle_pages(jQuery('.pp_display_on #pt4'));
  }
}

function fm_change_radio_checkbox_text(elem) {
  var labels_array = [];
  labels_array['stripemode'] = ['Test', 'Live'];
  labels_array['checkout_mode'] = ['Testmode', 'Production'];
  labels_array['mail_mode'] = ['Text', 'HTML'];
  labels_array['mail_mode_user'] = ['Text', 'HTML'];
  labels_array['value'] = ['1', '0'];
  labels_array['popover_show_on'] = ['Page Exit', 'Page Load'];
  labels_array['topbar_position'] = ['Bottom', 'Top'];
  labels_array['scrollbox_position'] = ['Left', 'Right'];

  jQuery(elem).val(labels_array['value'][jQuery(elem).val()]);
  jQuery(elem).next().val(jQuery(elem).val());

  var clicked_element = labels_array[jQuery(elem).attr('name')];
  jQuery(elem).find('label').html(clicked_element[jQuery(elem).val()]);
  if (jQuery(elem).hasClass("fm-text-yes")) {
    jQuery(elem).removeClass('fm-text-yes').addClass('fm-text-no');
    jQuery(elem).find("span").animate({
      right: parseInt(jQuery(elem).css("width")) - 14 + 'px'
    }, 400, function () {
    });
  }
  else {
    jQuery(elem).removeClass('fm-text-no').addClass('fm-text-yes');
    jQuery(elem).find("span").animate({
      right: 0
    }, 400, function () {
    });
  }
}

function fm_show_hide(class_name) {
  if (jQuery('.' + class_name).hasClass('fm-hide')) {
    jQuery('.' + class_name).removeClass('fm-hide').addClass('fm-show');
  }
  else {
    jQuery('.' + class_name).removeClass('fm-show').addClass('fm-hide');
  }
}

function fm_delete_ip( id ) {
  jQuery("#td_ip_"+id+" .loading").css("display","initial");
  var url = window.location.href;
  var post_data = {};
  post_data["current_id"] = id;
  post_data["nonce_fm"] = jQuery("#nonce_fm").val();
  post_data["task"] = "delete_blocked_ip";

  jQuery.post(jQuery("#blocked_ips").attr("action"), post_data, function (data) {
    }
  ).success(function (data, textStatus, errorThrown) {

    var paged = parseInt( jQuery(data).find("#total_for_paging").html() );

    if(!isNaN(paged)) {
      url = url.replace(/(paged=)[^\&]+/, '$1' + paged);
    }

    jQuery('.wrap').load(url + ' #blocked_ips',function(){
      window.history.pushState(null, null, url);
      if (jQuery(".updated").length != 0) {
        jQuery(" .updated p strong").html("Items Succesfully Deleted");
      } else {
        jQuery("<div class='updated below-h2'><p><strong>Items Succesfully Deleted.</strong></p></div>").insertBefore("#blocked_ips");
      }
      // Set no items row width.
      set_no_items();
    }); //reload the form
  });
}

function fm_save_ip( id ) {
  var ip = jQuery("#ip"+id).val();
  var post_data = {};
  post_data["ip"] = ip;
  post_data["nonce_fm"] = jQuery("#nonce_fm").val();
  post_data["task"] = "insert_blocked_ip";

  jQuery.post(jQuery("#blocked_ips").attr("action"), post_data, function ( data ) {
      jQuery("#td_ip_" + id).html('<a id="ip' + id + '" class="pointer" title="Edit" onclick="fm_edit_ip(' + id + ')">' + ip + '</a>');
    }
  ).success(function (data, textStatus, errorThrown) {
    jQuery(".insert, .error").hide();
    jQuery("#fm_blocked_ips_message").html("<div class='updated'><strong><p>Items Succesfully Inserted.</p></strong></div>");
    jQuery("#fm_blocked_ips_message").show();
  });

}


function fm_insert_blocked_ip() {
  jQuery( '#tr .loading' ).css( "display","initial" );
  var ip = jQuery("#fm_ip").val();
  var url = window.location.href;
  var post_data = {};

  post_data["ip"] = ip;
  post_data["nonce_fm"] = jQuery("#nonce_fm").val();
  post_data["task"] = "insert_blocked_ip";
  post_data["last_id"] = 1;

  jQuery.post( jQuery("#blocked_ips").attr("action"), post_data, function (data) {

    }
  ).success(function (data, textStatus, errorThrown) {
    jQuery('.wrap').load(url + ' #blocked_ips',function() {
      window.history.pushState(null, null, url);
      if (jQuery(".updated").length != 0) {
        jQuery(".updated p strong").html("Items Succesfully Saved");

      } else {
        jQuery("<div class='updated below-h2'><p><strong>Items Succesfully Saved.</strong></p></div>").insertBefore("#blocked_ips");
      }
    });//reload the form
  });
}


function fm_edit_ip( id ) {
  var ip = jQuery("#ip" + id).html();
  var html ='<input id="ip' + id + '" class="input_th' + id + ' ip_input" type="text" onkeypress="if(event.keyCode == 13){ if (fm_check_required(\'ip' + id + '\', \'IP\')) {return false;} fm_update_blocked_ip(' + id + '); } return fm_check_isnum(event); "  value="' + ip + '" name="ip' + id + '"/>';
  html +='<input type="button" class="button ip_save" style="margin-left: 5px" onclick="if (fm_check_required(\'ip' + id + '\', \'IP\')) {return false;} fm_update_blocked_ip(' + id + '); return false;" value="Save"><div class="loading">';
  html +='<img src='+plugin_url + '/images/loading.gif></div>';
  jQuery("#td_ip_" + id).html(html);
}

function fm_enter_ip(event) {
  if (event.which == 13) {
    if (fm_check_required('fm_ip', 'IP')) {
      return false;
    }
    event.preventDefault();
    fm_insert_blocked_ip();
  }
}

function fm_update_blocked_ip(id) {
  jQuery("#td_ip_" + id + " .loading").css("display","initial");
  var ip = jQuery("#ip" + id).val();
  var url = window.location.href;

  var post_data = {};
  post_data["ip"] = ip;
  post_data["current_id"] = id;
  post_data["nonce_fm"] = jQuery("#nonce_fm").val();
  post_data["task"] = "update_blocked_ip";

  jQuery.post(url, post_data, function (data) {
    }
  ).success(function (data, textStatus, errorThrown) {
    jQuery('.wrap').load(url + ' #blocked_ips',function() {
      if (jQuery(".updated").length != 0) {
        window.history.pushState(null, null, url);
        jQuery(".updated p strong").html("Items Succesfully Updated");

      } else {
        jQuery("<div class='updated below-h2'><p><strong>Items Succesfully Updated.</strong></p></div>").insertBefore("#blocked_ips");
      }
    });//reload the form
  });
}

(function(jQuery){
  jQuery.fn.serializeObject = function(){
    var self = this,
      json = {},
      push_counters = {},
      patterns = {
        "validate": /^[a-zA-Z][a-zA-Z0-9_]*(?:\[(?:\d*|[a-zA-Z0-9_]+)\])*$/,
        "key":      /[a-zA-Z0-9_]+|(?=\[\])/g,
        "push":     /^$/,
        "fixed":    /^\d+$/,
        "named":    /^[a-zA-Z0-9_]+$/
      };
    this.build = function(base, key, value){
      base[key] = value;
      return base;
    };
    this.push_counter = function(key){
      if(push_counters[key] === undefined){
        push_counters[key] = 0;
      }
      return push_counters[key]++;
    };

    jQuery.each(jQuery(this).serializeArray(), function(){
      // skip invalid keys
      if(!patterns.validate.test(this.name)){
        return;
      }

      var k,
        keys = this.name.match(patterns.key),
        merge = this.value,
        reverse_key = this.name;

      while((k = keys.pop()) !== undefined){
        // adjust reverse_key
        reverse_key = reverse_key.replace(new RegExp("\\[" + k + "\\]$"), '');
        // push
        if(k.match(patterns.push)){
          merge = self.build([], self.push_counter(reverse_key), merge);
        }
        // fixed
        else if(k.match(patterns.fixed)){
          merge = self.build([], k, merge);
        }
        // named
        else if(k.match(patterns.named)){
          merge = self.build({}, k, merge);
        }
      }
      json = jQuery.extend(true, json, merge);
    });
    return json;
  };
})(jQuery);

function onEnableChange(fieldset_id, content_id, input_value) {
  var fieldsetPostingOptions = jQuery("#" + fieldset_id + " #" + content_id);
  if (input_value == "1") {
    fieldsetPostingOptions.removeClass("hidden");
  }
  else {
    fieldsetPostingOptions.addClass("hidden");
  }
}

function show_stats() {  
	var select_error = jQuery('.fm-statistics .fm_error_sorted_label_key');
	if (jQuery('#sorted_label_key').val() != "") {
		select_error.hide();
		jQuery('.fm-div_stats-loading').addClass('is-active');
		jQuery.ajax({
			dataType: 'json',
			type: 'POST',
			url: show_stats_url,
			data: {
				sorted_label_key: jQuery('#sorted_label_key').val(),
				startdate: jQuery('#startstats').val(),
				enddate: jQuery('#endstats').val(),
			},
			beforeSend: function (response) {},
			error: function (err) {},
			success: function (response) {
				jQuery('.fm-div_stats-loading').removeClass('is-active');
				console.log(response.html);
				if(response.html){
					jQuery('#div_stats').html(response.html);
				}
			}			
		});					
	}
	else {
		select_error.show();
	}               
}
